Subject: Re: [PATCH net-next 0/6] net/mlx5e: Speedup channel configuration operations

From: Toke Høiland-Jørgensen <[email-masked]>
Date: Wed, 12 Nov 2025 11:54:49 +0100

Tariq Toukan <[email-masked]> writes:

> Hi,
>
> This series significantly improves the latency of channel configuration
> operations, like interface up (create channels), interface down (destroy
> channels), and channels reconfiguration (create new set, destroy old
> one).

On the topic of improving ifup/ifdown times, I noticed at some point
that mlx5 will call synchronize_net() once for every queue when they are
deactivated (in mlx5e_deactivate_txqsq()). Have you considered changing
that to amortise the sync latency over the full interface bringdown? :)

-Toke